Subject: Re: [PATCH v2 bpf-next 3/4] selftests/bpf: Add profiler test

From: Jiri Olsa <[email-masked]>
Date: Wed, 4 Nov 2020 22:57:23 +0100

On Wed, Nov 04, 2020 at 12:50:25PM -0800, Andrii Nakryiko wrote:
> On Wed, Nov 4, 2020 at 8:46 AM Jiri Olsa <[email-masked]> wrote:
> >
> > On Thu, Oct 15, 2020 at 06:09:14AM +0000, Song Liu wrote:
> > >
> > >
> > > > On Oct 13, 2020, at 2:56 PM, Andrii Nakryiko <[email-masked]> wrote:
> > >
> > > [...]
> > >
> > > >
> > > > I'd go with Kconfig + bpf_core_enum_value(), as it's shorter and
> > > > nicer. This compiles and works with my Kconfig, but I haven't checked
> > > > with CONFIG_CGROUP_PIDS defined.
> > >
> > > Tested with CONFIG_CGROUP_PIDS, it looks good.
> > >
> > > Tested-by: Song Liu <[email-masked]>
> >
> > hi,
> > I still need to apply my workaround to compile tests,
> > so I wonder this fell through cracks
> 
> 
> The fix was already applied ([0]). Do you still see issues?
> 
>   [0] https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/

nope, it's working now, I was on the wrong branch, sry for noise

thanks,
jirka